Bug 1724152 (CVE-2019-11039) - CVE-2019-11039 php: Out-of-bounds read due to integer overflow in iconv_mime_decode_headers()
Summary: CVE-2019-11039 php: Out-of-bounds read due to integer overflow in iconv_mime_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11039
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1724156 1726598 1726599 1726600 1726601 1726602 1772834
Blocks: 1724158
TreeView+ depends on / blocked
 
Reported: 2019-06-26 11:05 UTC by Dhananjay Arunesh
Modified: 2020-04-28 15:31 UTC (History)
6 users (show)

Fixed In Version: PHP 7.1.30, PHP 7.2.19, PHP 7.3.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:48:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3727 None None None 2019-11-06 10:12:48 UTC
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:43:04 UTC
Red Hat Product Errata RHSA-2019:3299 None None None 2019-11-01 13:01:05 UTC
Red Hat Product Errata RHSA-2020:1624 None None None 2020-04-28 15:31:58 UTC

Description Dhananjay Arunesh 2019-06-26 11:05:24 UTC
Function iconv_mime_decode_headers() in PHP versions 7.1.x below 7.1.30, 7.2.x below 7.2.19 and 7.3.x below 7.3.6 may perform out-of-buffer read due to integer overflow when parsing MIME headers. This may lead to information disclosure or crash.

Reference:
https://bugs.php.net/bug.php?id=78069

Comment 1 Dhananjay Arunesh 2019-06-26 11:12:29 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1724156]

Comment 6 errata-xmlrpc 2019-08-19 08:43:03 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 7 Product Security DevOps Team 2019-08-19 08:48:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11039

Comment 8 errata-xmlrpc 2019-11-01 13:01:04 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:3299 https://access.redhat.com/errata/RHSA-2019:3299

Comment 9 errata-xmlrpc 2020-04-28 15:31:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1624 https://access.redhat.com/errata/RHSA-2020:1624


Note You need to log in before you can comment on or make changes to this bug.